Public Class Form1
    Private mouseOffset As Point
    Private isMouseDown As Boolean = False
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        
    End Sub

    Private Sub PictureBox1_2Click(ByVal sender As System.Object, ByVal e As MouseEventArgs) Handles PictureBox1.MouseDoubleClick
        If e.Button = Windows.Forms.MouseButtons.Left Then
            Me.Hide()
            Form2.Hide()
            NotifyIcon1.Visible = True
        End If
    End Sub

    Private Sub PictureBox1_1Click(ByVal sender As System.Object, ByVal e As MouseEventArgs) Handles PictureBox1.MouseClick
        If e.Button = Windows.Forms.MouseButtons.Right Then
            NotifyIcon1.Visible = False
            Me.Close()
        End If
    End Sub
    Private Sub PictureBox1_MouseDown(ByVal sender As Object, _
ByVal e As MouseEventArgs) Handles PictureBox1.MouseDown
        Dim xOffset As Integer
        Dim yOffset As Integer
        If e.Button = Windows.Forms.MouseButtons.Left Then
            xOffset = -e.X '+ SystemInformation.FrameBorderSize.Width
            yOffset = -e.Y '+ SystemInformation.FrameBorderSize.Height
            mouseOffset = New Point(xOffset, yOffset)
            isMouseDown = True
        End If
    End Sub

    Private Sub PictureBox1_MouseMove(ByVal sender As Object, _
ByVal e As MouseEventArgs) Handles PictureBox1.MouseMove
        If isMouseDown Then
            Dim mousePos As Point = Control.MousePosition
            mousePos.Offset(mouseOffset.X, mouseOffset.Y)
            Location = mousePos
        End If
    End Sub
    Private Sub PictureBox1_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PictureBox1.MouseUp
        isMouseDown = False
    End Sub

    Private Sub CheckBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged
        If CBool(CheckBox1.CheckState) = True Then
            Form2.Show()
            Me.Focus()
        Else : Form2.Hide()
        End If
        
    End Sub

    Private Sub Form1_LocationChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.LocationChanged
        Dim corr As Point = Point.op_Addition(Me.Location, New Size(505, 0))
        Form2.Location = corr
    End Sub

    Private Sub NotifyIcon1_MouseClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles NotifyIcon1.MouseClick
        If CBool(CheckBox1.CheckState) = True And e.Button = Windows.Forms.MouseButtons.Left Then
            Me.Activate()
            Me.Show()
            Form2.Activate()
            Form2.Show()
        End If
        If CBool(CheckBox1.CheckState) = False And e.Button = Windows.Forms.MouseButtons.Left Then
            Me.Activate()
            Me.Show()
            Me.Focus()
        End If
    End Sub
    Private Sub Form1_Paint(ByVal sender As System.Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        If CBool(CheckBox1.CheckState) = True Then
            Form2.Focus()
        End If
    End Sub

    Private Sub ShowMainWindowToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ShowMainWindowToolStripMenuItem.Click
        If CBool(CheckBox1.CheckState) = True Then
            Me.Activate()
            Me.Show()
            Form2.Activate()
            Form2.Show()
        Else
            Me.Activate()
            Me.Show()
        End If
    End Sub

    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        NotifyIcon1.Visible = False
        Me.Close()
    End Sub

   
End Class
